# Generated by Django 4.0.4 on 2022-05-14 08:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Employees',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('public_id', models.UUIDField(default='412a5c27-e350-4556-9637-86dc59009a0b', editable=False, unique=True)),
                ('position', models.CharField(max_length=200)),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='Email Address')),
                ('admin', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('employee_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='employees.employees')),
            ],
        ),
        migrations.CreateModel(
            name='Address',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('branch', models.CharField(choices=[('CHN', 'Chennai'), ('MDU', 'Madurai'), ('TR', 'Trichy')], default=None, max_length=20)),
                ('employee_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='employees.employees')),
            ],
        ),
    ]
